# Class GestureServer

java.lang.Object
com.sparshui.server.GestureServer

All Implemented Interfaces:
  `Runnable, JmolGestureServerInterface`

public class GestureServer extends Object implements Runnable, JmolGestureServerInterface
The main gesture server class. In the Jmol version, this server is created by org.jmol.multitouch.sparshui.JmolSparshClientAdapter so there is no main method. adapted by Bob Hanson for Jmol 11/29/2009

Author:
  Tony Ross

## Field Summary

### Fields inherited from interface JmolGestureServerInterface

`HAS_CLIENT, HAS_DRIVER, OK`

## Constructor Summary

Constructors
Constructor
Description
`GestureServer()`
`GestureServer(int port, GestureServer main)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`finalize()`
`int`
`getState()`
`void`
`run()`
Start accepting connections.
`void`
`startGestureServer()`
two independent threads -- one accepting multiple clients, one not.

### Methods inherited from class Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GestureServer

public GestureServer()

### GestureServer

public GestureServer(int port, GestureServer main)

## Method Details

### finalize

public void finalize()

Overrides:
  `finalize` in class `Object`

### startGestureServer

public void startGestureServer()
two independent threads -- one accepting multiple clients, one not.

Specified by:
  `startGestureServer` in interface `JmolGestureServerInterface`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `JmolGestureServerInterface`

### run

public void run()
Start accepting connections.

Specified by:
  `run` in interface `Runnable`

### getState

public int getState()

Specified by:
  `getState` in interface `JmolGestureServerInterface`